#ifndef __CASEFIDDLE_P_H__
#define __CASEFIDDLE_P_H__

extern Lisp_Object upcase_initials_region _P_((Lisp_Object b, Lisp_Object e));
extern Lisp_Object operate_on_word _P_((Lisp_Object arg));
extern _VOID_ syms_of_casefiddle _P_((void));
extern _VOID_ keys_of_casefiddle _P_((void));

DEFUN_P(Fupcase, (Lisp_Object obj));
DEFUN_P(Fdowncase, (Lisp_Object obj));
DEFUN_P(Fcapitalize, (Lisp_Object obj));
DEFUN_P(Fupcase_region, (Lisp_Object b, Lisp_Object e));
DEFUN_P(Fdowncase_region, (Lisp_Object b, Lisp_Object e));
DEFUN_P(Fcapitalize_region, (Lisp_Object b, Lisp_Object e));
DEFUN_P(Fupcase_word, (Lisp_Object arg));
DEFUN_P(Fdowncase_word, (Lisp_Object arg));
DEFUN_P(Fcapitalize_word, (Lisp_Object arg));
    
#endif
